<?php 
	#############################################################
	#	WEATHER34 by BRIAN UNDERDOWN 2015-21                                                        
	#	CREATED FOR WEATHER34 AURORA MKII              	 										 
	#   		
	# 	Released: September 2020   REVISED June 2022                  			           
	# 	     Purple Air                                                                                          
	#   weather34 	                                                                   
	#############################################################
include('livedata.php'); 
if ($clockformat=='12'){$timeformat= "g:ia";}
else if ($clockformat=='24'){$timeformat= "H:i";}
    //weather34 Purple Air json script June 2022
    $weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
    $weather34purpleair_json = json_decode($weather34purpleairfile, true);   
    $aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm_a'];
    $aqiweather["pm25"] = $weather34purpleair_json['sensor']['pm2.5'];
    $aqiweather["pm1"]      =$weather34purpleair_json['sensor']['pm1.0'];
    $sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];    
    $sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
    $aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];   
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 1);
	$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    $aqiweather["aqipm25"]      =$weather34purpleair_json['sensor']['pm2.5_atm_a'];
    $aqiweather["rssi"]      =$weather34purpleair_json['sensor']['rssi'];
    $aqiweather["uptime"]      =$weather34purpleair_json['sensor']['uptime'];
    $aqiweather["model"]      =$weather34purpleair_json['sensor']['model'];
    $aqiweather["purpleairID"]      =$weather34purpleair_json['sensor']['sensor_index'];
    $aqiweather["purpleairhardware"]      =$weather34purpleair_json['sensor']['hardware'];
    $aqiweather["purpleairfirmware"]      =$weather34purpleair_json['sensor']['firmware_version'];    
    $aqiweather["rssi"]=$aqiweather["rssi"]-$aqiweather["rssi"]*1-$aqiweather["rssi"];
    //echo $weather34purpleair_json['pm2.5_atm_a'];
   //weather34 purple air uptime
    $purpleairminutes = $aqiweather["uptime"];    
    $newdate    = new DateTime('@0');
    $purpleairminutesset  = new DateTime('@' . $purpleairminutes * 60);
    $purpleairuptime    =$newdate->diff($purpleairminutesset);     
    $a=""; 
    //last hour trend
    $aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
if ($aqiweather["aqi"] >= 401) { $aqicaution=' Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 301) {$aqicaution='Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 201) {$aqicaution='Health warnings of emergency conditions.The entire population is more likely to be affected. ';} 
     else if ($aqiweather["aqi"] >= 151) {$aqicaution='Everyone may begin to experience health effects members of sensitive groups may experience more serious health effects.';} 
     else if ($aqiweather["aqi"] >= 101) {$aqicaution='Members of sensitive groups may experience health effects.The general public is not likely to be affected.';} 
     else if ($aqiweather["aqi"] >= 51) {$aqicaution='Air quality is acceptable. However for some pollutants there may be a moderate health concern for a very small number of people.';} 
     else if ($aqiweather["aqi"] >= 0) {$aqicaution='Air quality is considered satisfactory air pollution poses little or no risk.';} 

 ?>
<link href="weather34-theme.css?version=<?php echo filemtime('weather34-theme.css') ?>" rel="stylesheet prefetch">
<alamanacword>
<span style="width:200px">
Purple Air Quality (<purple><?php echo $aqiweather["model"]?></purple>) </span>

<span style="margin-left:5px;width:200px">
ID: (<purple><?php echo $aqiweather["purpleairID"]?></purple>) </span>

<span style="margin-left:5px;width:300px">
Uptime (<?php   echo $purpleairuptime ->format('<orange>%a</orange> Days <orange>%h</orange> Hrs <orange>%i</orange> Mins');?></orange>)</span>
</alamanacword>

<ul class="grid-containeralmcharts">
<li><iframe  class="charttempmodule3"  src="weather34charts/todaypurple-air-qualitychart.php" frameborder="0" scrolling="no" ></iframe>
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/todaypurple-air-airqualitychartb.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li><iframe  class="charttempmodule3"  src="weather34charts/monthpurpleairmodulechart2.php" frameborder="0" scrolling="no" ></iframe>  
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/monthpurpleairmodulechart2p.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li><iframe  class="charttempmodule3"  src="weather34charts/yearpurpleairmodulechart2.php" frameborder="0" scrolling="no" ></iframe>  
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/yearpurpleairmodulechart2p.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>





<li>
<div style="margin-top:30px;margin-left:0px;">
<div class="almanac"><div class="almanac-content">
<?php  //Current EPA
echo "<valuetextheading1>Current Air Quality (EPA)</deepblue></valuetextheading1><br>";   
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["aqi"]>=300){ echo "<purple>".$aqiweather["aqi"]."</purple>";}
else if($aqiweather["aqi"] >=250){ echo "<icon-36-40>".$aqiweather["aqi"]."</icon-36-40>";}
else if($aqiweather["aqi"] >=150){ echo "<red>".$aqiweather["aqi"]."</red>";}
else if($aqiweather["aqi"] >=100){ echo "<orange>".$aqiweather["aqi"]."</orange>";}
else if($aqiweather["aqi"] >=50){ echo "<yellow>".$aqiweather["aqi"]."</yellow>";}
else if($aqiweather["aqi"] >=0){ echo "<green>".$aqiweather["aqi"]."</green>";}
?>
<smalltempunit2></div></div>


<div class="almanac2"><div class="almanac-content">
<?php  //PM2.5 
echo "<valuetextheading1>Current PM2.5</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["aqipm25"]>=300){ echo "<purple>".number_format($aqiweather["aqipm25"],0)."</purple>";}
else if($aqiweather["aqipm25"] >=200){ echo "<icon-36-40>".number_format($aqiweather["aqipm25"],0)."</icon-36-40>";}
else if($aqiweather["aqipm25"] >=150){ echo "<red>".number_format($aqiweather["aqipm25"],1)."</red>";}
else if($aqiweather["aqipm25"] >100){ echo "<orange>".number_format($aqiweather["aqipm25"],1)."</orange>";}
else if($aqiweather["aqipm25"] >50){ echo "<yellow>".number_format($aqiweather["aqipm25"],1)."</yellow>";}
else if($aqiweather["aqipm25"] >=0){ echo "<green>".number_format($aqiweather["aqipm25"],1)."</green>";}
?><smalltempunit2></div></div>


<div class="almanac3"><div class="almanac-content">
<?php  //24 Hour EPA Average 
echo "<valuetextheading1>24 Hour EPA Average</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["aqi24h"]>=300){ echo "<purple>".$aqiweather["aqi24h"]."</purple></average24>";}
else if($aqiweather["aqi24h"] >=250){ echo "<icon-36-40>".$aqiweather["aqi24h"]."</icon-36-40></average24>";}
else if($aqiweather["aqi24h"] >=150){ echo "<red>".$aqiweather["aqi24h"]."</red></average24>";}
else if($aqiweather["aqi24h"] >=100){ echo "<orange>".$aqiweather["aqi24h"]."</orange></average24>";}
else if($aqiweather["aqi24h"] >=50){ echo "<yellow>".$aqiweather["aqi24h"]."</yellow></average24>";}
else if($aqiweather["aqi24h"] >=0){ echo "<green>".$aqiweather["aqi24h"]."</green></average24>";}
?><smalltempunit2></div></div>


<div class="almanac4"><div class="almanac-content">
<?php  //PM 10
echo "<valuetextheading1>Current PM10 (EPA)</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["aqipm10"] >=300){ echo "<purple>".$aqiweather["aqipm10"] ."</purple>";}
else if($aqiweather["aqipm10"]  >=200){ echo "<icon-36-40>".$aqiweather["aqipm10"] ."</icon-36-40>";}
else if($aqiweather["aqipm10"]  >=150){ echo "<red>".$aqiweather["aqipm10"] ."</red>";}
else if($aqiweather["aqipm10"]  >=100){ echo "<orange>".$aqiweather["aqipm10"] ."</orange>";}
else if($aqiweather["aqipm10"]  >=50){ echo "<yellow>".$aqiweather["aqipm10"] ."</yellow>";}
else if($aqiweather["aqipm10"]  >=0){ echo "<green>".$aqiweather["aqipm10"] ."</green>";}
 ?>
</smalltempunit2></div></div>


<div class="almanac5"><div class="almanac-content">
<?php  //CO2
echo "<valuetextheading1>Current CO2</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["voc"] >=5000){ echo "<purple>".$aqiweather["voc"]."</purple>";}
else if($aqiweather["voc"] >=2000){ echo "<red>".$aqiweather["voc"]."</red>";}
else if($aqiweather["voc"] >=1500){ echo "<yellow>".$aqiweather["voc"]."</yellow>";}
else if($aqiweather["voc"] >0){ echo "<green>".$aqiweather["voc"]."</green>";}
else echo "N/A";
?><smalltempunit2></div></div>

<div class="almanac6"><div class="almanac-content">
<?php  //RSSI
echo "<valuetextheading1>Signal RSSI</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["rssi"] >=90){ echo "<icon-36-40>-".$aqiweather["rssi"]." Very Weak</icon-36-40>";}
else if($aqiweather["rssi"] >=80){ echo "<red>-".$aqiweather["rssi"]." Weak</red>";}
else if($aqiweather["rssi"] >=70){ echo "<orange>-".$aqiweather["rssi"]." Fair</orange>";}
else if($aqiweather["rssi"] >=60){ echo "<yellow>-".$aqiweather["rssi"]." Good</yellow>";}
else if($aqiweather["rssi"] >10){ echo "<green>-".$aqiweather["rssi"]."  Excellent</green>";}
else echo "N/A";
?><smalltempunit2></div></div>
</li>
<a href="https://canvasjs.com/" target="_blank" style="position:relative;background:0;box-shadow:none;margin-top:3px;">
<?php echo $canvasjs?>v2.3.1 GA (CC BY-NC 3.0) Non-Commercial-Version </a>
</ul>
</div></div>