<?php include('livedata.php');
    #######################################################
	#	CREATED FOR Aurora MKII version								   							   
	# 	
	# 	     Creates and adds month and year csv data  
	# 	Updated Release: Revised July 2021		
	# 	                                                                                               
	#   weather34 	                                                                   
	#######################################################

//position numbers for charts
//0 (date-month-0)),
//1 MAX(yesterday Temp-1-$meteobridgeapi[82]) 
//2 MIN(yesterday Temp-2-$meteobridgeapi[84])
//3 MAX(yesterday Dewpoint-3-$meteobridgeapi[52]) 
//4 MIN(yesterday Dewpoint-4-$meteobridgeapi[120])
// 5 TOTAL(yesterday Rain total-5-$meteobridgeapi[100])
// 6 MAX(yesterday Windspeed-6-$meteobridgeapi[94])
// 7 AVG(yesterday WindSpeed-7-$meteobridgeapi[123])
// 8 not currently used $meteobridgeapi[--] * reserved for future 
// 9 MAX(yesterday Barometer-9-$meteobridgeapi[135])
// 10 MIN(yesterday Barometer-10-$meteobridgeapi[137])
//11 Max( yesterday UV-11-$meteobridgeapi[114])
//12 Max( yesterday SOLAR-12-$meteobridgeapi[107])
//13 Purple Air(13-$aqiweather["aqi24h"]) *if yes 
//14 AIRQ 24H(14-$meteobridgeapi[184]) * Davis Airlink 
//15 yesterday Wind DIRECTION average (15-$meteobridgeapi[171])
//16 yesterday Max Humidity (16-$meteobridgeapi[167])
//17 yesterday Min Humidity (17-$meteobridgeapi[169])

date_default_timezone_set($TZ);
$date = date_create();
$year=date('Y');
//disable error logging if you get server errors
error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);ini_set("display_errors","off");
// with PURPLE AIR additional conversion script included by Andrew Billits 24 April 2018 charts
if($purpleairhardware=='yes'){
//2022 Weather34 Purple Air new API format
$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);
//echo $weather34purpleair_json['pm2.5_atm_a'];
$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 0);
    $a=""; if ($aqiweather["aqi"] ==$a) {$aqiweather["aqi"] = "0" ;}
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
$aqiweather["aqi"]=number_format($aqiweather["aqi"],1);
$aqiweather["pm10"]=number_format($aqiweather["pm10"],1);


}

$meteobridgeapi[184] = number_format(pm25_to_aqi(($meteobridgeapi[184])),1);

//create the current month file example folder/file path = weather34charts/2021/July.csv
// [DD][MM] , [th0temp-ydmax:--] , [th0temp-ydmin:--] , [th0dew-ydmax:--] , [th0dew-ydmin:--] , [rain0total-ydmax:--] , [wind0wind-ydmax:--] , [wind0wind-ydavg:—] , [position 8 not used] ,  [thb0seapress-ydmax:--] , [thb0seapress-ydmin:--] ,  [uv0index-ydmax:--] , [sol0rad-ydmax:--] , [air0pm-ydavg:—] , [air1pm-ydavg:—] , [wind0dir-ydavg:--] ,$weather["humidity_ydmax"] ,$weather["humidity_ydmin"]
$weatherchartfilemonth ="weather34charts/".$year."/".date('F').".csv";
$weather34chartdata = date('j M',strtotime("-1 day")).",".$meteobridgeapi[82].",".$meteobridgeapi[84].",".$meteobridgeapi[52].",".$meteobridgeapi[120].",".$meteobridgeapi[100].",".$meteobridgeapi[94].",".$meteobridgeapi[123].",".$meteobridgeapi[123].",".$meteobridgeapi[135].",".$meteobridgeapi[137].",".$meteobridgeapi[114].",".$meteobridgeapi[107].",".$aqiweather["aqi24h"].",".$meteobridgeapi[184].",".$meteobridgeapi[171].",".$meteobridgeapi[167].",".$meteobridgeapi[169].""."\r\n";
//$output=$weatherchartfilemonth;
$fp = fopen($weatherchartfilemonth, 'a+'); 
fwrite($fp,$weather34chartdata); 
fclose($fp);
//create the year file example folder/file path = weather34charts/2021.csv
$weatherchartfileyear = "weather34charts/".date('Y').".csv";
$weather34chartdata1  = date('j M',strtotime("-1 day")).",".$meteobridgeapi[82].",".$meteobridgeapi[84].",".$meteobridgeapi[52].",".$meteobridgeapi[120].",".$meteobridgeapi[100].",".$meteobridgeapi[94].",".$meteobridgeapi[123].",".$meteobridgeapi[123].",".$meteobridgeapi[135].",".$meteobridgeapi[137].",".$meteobridgeapi[114].",".$meteobridgeapi[107].",".$aqiweather["aqi24h"].",".$meteobridgeapi[184].",".$meteobridgeapi[171].",".$meteobridgeapi[167].",".$meteobridgeapi[169].""."\r\n";
//$output1=$weatherchartfileyear;
$fp1 = fopen($weatherchartfileyear, 'a+'); 
fwrite($fp1,$weather34chartdata1); 
fclose($fp1);
?>
