<?php
########################################################
#	CREATED FOR WEATHER34 Aurora MKII TEMPLATE  		              						                
# 											                        
# 	      OS2 Theme View                                                                                         
# 	Release: October 2021 Version Aurora MKII 				  	                                           
########################################################
include_once('livedata.php');
include_once('updater-tabletchart.php');
$firerisk = number_format((((110 - 1.373 * $weather["humidity"]) - 0.54 * (10.20 - anytoc($weather["temp"]))) * (124 * pow(10, (-0.0142 * $weather["humidity"])))) / 60, 0); ?>
<!DOCTYPE html>
<html>

<head>
<title><?php echo $stationName; ?></title> 
<!-- Primary Meta Tags -->
<meta name="title" content="<?php echo $stationName; ?>">
<meta name="description" content="Providing current weather conditions for <?php echo $stationName ?>">
<!-- Open Graph / Facebook -->
<meta property="og:type" content="website">
<meta property="og:url" content="">
<meta property="og:title" content="<?php echo $stationName; ?>">
<meta property="og:description" content="Providing current weather conditions for <?php echo $stationName ?>">
<meta property="og:image" content="/weather34-meta-seo.png">
<!-- Twitter -->
<meta property="twitter:card" content="/weather34-meta-seo.png">
<meta property="twitter:url" content="">
<meta property="twitter:title" content="<?php echo $stationName; ?>">
<meta property="twitter:description" content="Providing current weather conditions for <?php echo $stationName ?>">
<meta property="twitter:image" content="/weather34-meta-seo.png">

  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <meta name="mobile-web-app-capable" content="yes">
  <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="favicon/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="favicon/favicon-16x16.png">
  <link rel="manifest" href="favicon/site.webmanifest">
  <link rel="mask-icon" href="favicon/safari-pinned-tab.svg" color="#5bbad5">
  <link rel="shortcut icon" href="favicon.ico">
  <meta name="apple-mobile-web-app-title" content="Weather34">
  <meta name="application-name" content="Weather34">
  <link href="weather34-alt-theme.css?version=<?php echo filemtime('weather34-alt-theme.css') ?>" rel="stylesheet prefetch">
  <link rel="preload" href="fonts/verbatim-regular.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-medium.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/HelveticaNeue-Medium.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-bold.woff2" as="font" type="font/woff2" crossorigin>
</head>

<body>
  <!-- weather34 Aurora MKII flex/grid layout -->
  <div class="weather34-tablet">
    <div class="container">
      <div class="nav-top">
        <div class="weather34-indoor">
          <?php echo $timeicon ?><div id="weather34clock4"></div>
          <div class="sunriset-set"><?php echo $headerlocation ?> <?php echo $stationName ?></div>
        </div>
        <div class="desktoplink2">
          <div id=data-updated></div>
        </div>
      </div>

      <ul class="grid-container">
        <li>
          <div id=position1></div>
          <div id="tempchart"></div>
        </li>
        <li>
          <div id=position2></div>
          <div id="humiditychart"></div>
        </li>
        <li>
          <div id=position3></div>
          <div id="dewpointchart"></div>
        </li>

        <li>
          <div id=position6></div>
          <div id="windchart"></div>
        </li>
        <li>
          <div id=position5></div>
        </li>

        <li><?php //if Purple Air /Davis Airlink/Luftdaten else wind average
            if ($purpleairhardware == 'yes') {
              echo '<div id="purpleair"></div><div id="purpleairchart"></div>';
            } else if ($davisairquality == 'yes') {
              echo '<div id="airlink"></div><div id="airlinkchart"></div>';
            } else if ($luftdatenhardware == 'yes') {
              echo '<div id="luftdaten"></div><div id="luftdatenchart"></div>';
            } else echo '<div id=position4></div><div id="windavgchart"></div>'; ?>
        </li>

        <li>
          <div id=position7></div>
          <div id="rainchart"></div>
        </li>

        <li><?php //fixed mmHG or default pressure    
            if ($usemmhgmodule == 'yes') {
              echo '<div id="mmHG"></div><div id="barometerchart"></div>';
            } else echo '<div id=position8></div><div id="barometerchart">'; ?></li>

        <li><?php //uv or solar or clock option
            if ($position9t == 'uvindexmod-tablet2.php') {
              echo '<div id="position9"></div><div id="uvchart"></div>';
            } else if ($position9t == 'solarmod-tablet2.php') {
              echo '<div id="position9"></div><div id="solarchart"></div>';
            } else if ($position9t == 'clock-tablet.php') {
              echo '<div id="position9"></div>';
            } 
           
              else if ($position9t == 'weather34-webcam.php') {
                echo '<div id="position9"></div>';
            } 
            
            else echo '<div id=warning></div>'; ?>
            
          </li>

        <?php //weatherflow lightning or forecast
        if ($position10t == "weather34-lightning-tablet.php" || $position11t == "weather34-lightning-tablet.php" || $position12t == "weather34-lightning-tablet.php") {
          echo "<li3><div id=lightningtablet></div></li3> ";
        } else echo "<li3><div id=forecasttablet></div></li3>"; ?>

        <li2>
          <div id=position10t></div>
        </li2>
        <li2>
          <div id=position11t></div>
        </li2>
        <li2>
          <div id=position12t></div>
        </li2>

      </ul>
      <div class=navspace></div>

      <div class="nav-bottom">
        <div class="weather34-menuside">
          <div class="weather34-header-menu">
            <?php //include custom weather34 menu file 
            include('weather34-sidemenu.php'); ?>           
          </div>
        </div>
        <!-- weather34 end menu -->
        <div class="weather34-open-menu"><button><?php echo $adjust ?> <icontext>Menu</icontext></button></div>

        <div class="weather34switcher">

          <a data-title="Switch Theme"><button id="weather34theme-toggle" class="weather34switch" type="button"> <?php echo $themeshadelight; ?>
            </button>
        </div></a>


        <script>
          var toggle = document.getElementById("weather34theme-toggle");
          var storedTheme = localStorage.getItem('theme');
          if (storedTheme)
            document.documentElement.setAttribute('data-theme', storedTheme)
          toggle.onclick = function() {
            var currentTheme = document.documentElement.getAttribute("data-theme");
            var targetTheme = "light";
            if (currentTheme === "light") {
              targetTheme = "dark";
            }
            document.documentElement.setAttribute('data-theme', targetTheme)
            localStorage.setItem('theme', targetTheme);
          };
        </script>
        <bottomtoolbarspacetablet></bottomtoolbarspacetablet>

        <?php //units
        if ($units != 'us') {
          echo '<a  href="?units=us" data-title="Imperial Units">
    ' . $weather34F . '</a>';
        } else if ($units != 'metric') {
          echo '<a  href="?units=metric" data-title="Metric Units">
    ' . $weather34C . '</a>';
        } else if ($units != '') {
          echo '<a  href="?units=metric" data-title="Metric Units">
    ' . $weather34C . '</a>';
        } ?>

        <a href="consolecharts.php" data-title="Daily Charts"><?php echo $weather34chart2 ?></a>
        <a href="outlookwutext.php" data-lity data-title="Forecast"><?php echo $weather34foret ?></a>

        <a href="weather34-os2-tablet.php" data-title="Refresh" class="showicon2" style="background:0;box-shadow:none;"><?php echo $weather34refr ?></a>

        <weather34-rightfootericons>
        <aurora>Aurora MKII (<alternativeblue><?php echo $weather["stationtype"] ?></alternativeblue>)</aurora>
          <div class="weather34-aurora">

            <a href="weather34-os2-tablet.php" data-title="Refresh" class="showicon3" style="background:0;box-shadow:none;"><?php echo $weather34refr ?></a>

            <a href="https://canvasjs.com/" target="_blank" data-title="Canvasjs.com" style="background:0;box-shadow:none;top:-3px"><?php echo $canvasjs ?> </a>

            <a href="info.html" data-lity data-title="Weather34" class="footericons" style="background:0;box-shadow:none;"><img src="images/weather34-logo-small.svg" width="23px" height="23px"></a>

          </div>
        </weather34-rightfootericons>
      </div>

      <?php //if notifications is yes weather34 rain/snow/thunder awareness every 15 minutes 
      if ($notifications == 'yes') { ?><div id=forecastalert></div><?php ;}?>
</body>

<script>
  //weather34 menu sidebar
  $(function() {
    var box = $('.weather34-menuside');
    var button = $('.weather34-open-menu, .weather34-header-menu');
    button.on('click', function() {
      box.toggleClass('weather34-highlight');
    });
  });
</script>

<button onclick="topFunction()" id="weather34-top" title="Go to top"><?php echo $weather34top ?></button>
<script>
  //weather34 return to top in mobile
  mybutton = document.getElementById("weather34-top");
  window.onscroll = function() {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      mybutton.style.display = "block";
    } else {
      mybutton.style.display = "none";
    }
  }

  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>

</html>