<?php
	
	####################################################################################################
	#	CREATED FOR WEATHER34 AURORA MKII TEMPLATE 											   #
	# 											   # 
	# 	                                                                                               #
	# 	built on CanvasJs  	                                                                           #
	#   canvasJs.js is protected by CREATIVE COMMONS LICENCE BY-NC 3.0  	                           #
	# 	free for non commercial use and credit must be left in tact . 	                               #
	# 	                                                                                               #
	# 	Release December 2020					  	                                                   #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
	
	
	include('preload.php');
	date_default_timezone_set($TZ);
	$weatherfile = date('F', strtotime("-1 months"));	
	$conv = 1;
	if ($windunit == 'mph') {$conv= '2.23694';}
	if ($windunit == 'm/s') {$conv= '1';}
	if ($windunit =='kts') {$conv= '1.94384';}
	if ($windunit =='km/h'){$conv= '3.5999916767997';}

		if ($windunit == 'mph') { $unit= 'mph';}
		if ($windunit =='m/s') { $unit= 'm/s';}
		if ($windunit =='km/h'){$unit= 'kmh';}
		if ($windunit =='kts') {$unit= 'kts';}
	
		$year = date('Y');
		if (date('F')=="January"){$year=date('Y', strtotime("-1 year"));};
	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>OUTDOOR Barometer CHART</title>
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
	';	
	?>
    <br>
    <script type="text/javascript">

function WEATHER34CHARTCOLORS(weather34value) {
if (weather34value>=0 && weather34value<=5.55556) {thecolor='hsl(75, 62%, 43%)';}
else if (weather34value>5.55556 && weather34value<=8.33333) {thecolor='hsl(35, 77%, 58%)';}
else if (weather34value>8.33333 && weather34value<=11.1111) {thecolor='hsl(19, 66%, 55%)';} 
else if (weather34value>11.1111 && weather34value<=13.8889) {thecolor='hsl(12, 80%, 52%)';}    
else if (weather34value>13.8889 && weather34value<=200) {thecolor='hsl(2, 56%, 55%)';}            
else {thecolor='hsla(206, 12%, 27%, .4)';}
return thecolor;}

        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "<?php echo $year;?>/<?php echo $weatherfile;?>.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');	
				if ( rowData[1] >-100)	
				dataPoints1.push({label: rowData[0],y:parseFloat(rowData[6]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[6]))});
					
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[1] >-100)				
				dataPoints2.push({label: rowData[0],y:parseFloat(rowData[7]*<?php echo $conv ?>)});
				
				
			}
			drawChart(dataPoints1,dataPoints2 );
		}
	}

	
	function drawChart( dataPoints1) {
		var chart = new CanvasJS.Chart("chartContainer2", {
		backgroundColor: "<?php echo $bcolor;?>",
		animationEnabled: false,
		 
		title: {
            text: " ",
			fontSize: 0,
			fontColor:' #aaa',
			fontFamily: "verb",
        },
		toolTip:{
			   fontStyle: "normal",
			   cornerRadius: 4,
			   backgroundColor: "#393F4D",	
			   fontColor:"#C3CED8",					   	
               borderThickness: 3,	
			   fontSize: 11,	   
			   toolTipContent: " x: {x} y: {y} <br/> name: {name}, label:{label} ",
			   shared: true, 
			   fontFamily: "verb",  
 },
		axisX: {
			gridColor: "rgba(82, 92, 97, 0.39)",
		    labelFontSize: 10,
			labelFontColor:'<?php echo $ccolor?>',
			lineThickness: 1,
			gridThickness: 1,
			gridDashType: "dot",	
			titleFontFamily: "verb",	
			labelFontFamily: "verb",	
			minimum:-0.5,	
			interval:2,
			intervalType:"day",
			xValueType: "dateTime",	
			
			
			},
			
		axisY:{
		margin: 0,
		interval: 10,			
		lineThickness: 1,		
		gridThickness: 1,	
		gridDashType: "dot",	
        includeZero: false,
		gridColor: "rgba(82, 92, 97, 0.39)",
		labelFontSize: 10,
		labelFontColor:'<?php echo $ccolor?>',
		labelFontFamily: "verb",		
		
      },
	  
	  legend:{
      fontFamily: "verb",
      fontColor:"#555",
	  margin: 0,
  
 },
		
		
 data: [
		{
			type: "column",		
			showInLegend:false,
			fillOpacity: 1,
			name:"Max Wind Speed",
			dataPoints: dataPoints1,
			yValueFormatString:"## <?php echo $windunit;?>",
		},{
			// 
			type: "stackedColumn",	
			color:"hsla(227, 22%, 92%,.3)",		
			markerSize:0,
			showInLegend:false,
			legendMarkerType: "circle",
			
			markerType: "none",
			name:"Avg",
			dataPoints: dataPoints2,
			yValueFormatString: "## <?php echo $windunit;?>",
		}

		]
		});

		setTimeout(function(){
		chart.render();
	},500);
		
	}
});</script>
<body>
</script>
<div class="modulecaptionchartlarge">Wind Speed (<?php echo $windunit ;?>) <?php echo date('F', strtotime("-1 months"));?></div> 
<div class="modulecaptionprevious"><a href="../wind-almanac2.php" ><?php echo $weather34chartreturn?> Back To Almanac</a> </div>
<div id="chartContainer2" class="chartba"></div></div>
</body></html>